#
# spec file for package bridge-utils (Version 1.0.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bridge-utils
Version:        1.0.6
Release:        14.3.1
Autoreqprov:    on
Group:          Productivity/Networking/Routing
License:        GNU General Public License (GPL)
URL:            http://bridge.sourceforge.net
Summary:        Utilities for Configuring the Linux Ethernet Bridge
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains utilities for configuring the Linux ethernet
bridge. The Linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connection is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Authors: Lennert Buytenhek <buytenh@gnu.org>



Authors:
--------
    Lennert Buytenhek <buytenh@gnu.org>

%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m755 $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT%{_sbindir}/brctl $RPM_BUILD_ROOT/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README THANKS TODO doc/[FHPRSW]*
%doc %{_mandir}/man?/*
%{_includedir}/*
%{_libdir}/lib*
/sbin/*

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 1.0.6
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Fri Aug 13 2004 - mjancar@suse.cz
- update to 1.0.4
* Fri Jun 20 2003 - mjancar@suse.cz
- initial version 0.9.6
